import java.io.*;

/** Calcola il valore medio e il valore massimo di un insieme di dati
    in ingresso. Possibilit di reindirizzare l'input da file */
public class InputTestLoopRedirect  {
  public static void main(String argv[]) throws IOException {
    // Creo l'oggetto console per prendere dati dallo standard input
    BufferedReader console = new BufferedReader(new 
        InputStreamReader(System.in));
    // Creo un DataSet
    DataSet data = new DataSet();
    boolean finito = false;
    while ( !finito ) {
      System.out.println(
        "Inserisci un valore numerico. Chiudi l'input per terminare");
      String input = console.readLine();
      // Se l'input  stato chiuso input==null
      if ( input == null )
        finito = true;
      else {
        //  stato inserito un nuovo dato: lo aggiungo al DataSet creato
        double x = Double.parseDouble(input);
        data.add(x);
      }
    }
    System.out.println("Media dei dati = " + data.getAverage());
    System.out.println("Valore massimo = " + data.getMaximum());
    System.exit(0);
  }
}
