import java.io.*;
import java.util.StringTokenizer;

/** Calcola il valore medio e il valore massimo di un insieme di dati
    in ingresso. Possibilit di reindirizzare l'input da file */
public class InputTestLoopToken  {
  public static void main(String argv[]) throws IOException {
    // Creo l'oggetto console per prendere dati dallo standard input
    BufferedReader console = new BufferedReader(new 
        InputStreamReader(System.in));
    // Creo un DataSet
    DataSet data = new DataSet();
    boolean finito = false;
    while ( !finito ) {
      System.out.println(
        "Inserisci un valore numerico. Chiudi l'input per terminare");
      String input = console.readLine();
      // Se l'input  stato chiuso input==null
      if ( input == null )
        finito = true;
      else {
        //  stato inserito qualcosa: prendo un dato alla volta e lo 
        // inserisco nel DataSet creato
        StringTokenizer tokenizer = new StringTokenizer(input);
        while (tokenizer.hasMoreTokens()) {
          String token = tokenizer.nextToken();
          double x = Double.parseDouble(token);
          data.add(x);
        }
      }
    }
    System.out.println("Media dei dati = " + data.getAverage());
    System.out.println("Valore massimo = " + data.getMaximum());
    System.exit(0);
  }
}
