import java.io.*;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;

/** Fa selezionare un file di testo in input e poi ne scrive il contenuto su un 
    altro file di testo*/
public class MyTextCopy  {
  public static void main(String argv[]) throws IOException {
    // Faccio selezionare un file di input
    JFileChooser chooser = new JFileChooser();
    FileReader fileIn = null;
    boolean aperto = false;
    JOptionPane.showMessageDialog(null, "Seleziona un file di testo");
    do
      if ( chooser.showOpenDialog(null) == JFileChooser.APPROVE_OPTION ) {
        File selectedFile = chooser.getSelectedFile();
        fileIn = new FileReader(selectedFile);
        aperto = true;
      }
      else
        JOptionPane.showMessageDialog(null, "Riprova");
    while ( !aperto );
    BufferedReader in = new BufferedReader(fileIn);
    /* Chiedo il nome del file di output
       Nota: se non metto il percorso il file viene messo nella 
       "cartella corrente":
       - Se lancio il programma da Ginipad la cartella corrente  la 
       cartella di installazione di Ginipad 
       - Se lancio il programma dalla console la cartella corrente  
       quella da cui ho lanciato la JVM */
    String nomeFileOutput = JOptionPane.showInputDialog(
      "Dammi in nome del file su cui vuoi copiare il file selezionato");
    // Apro il file e lo incapsulo in un PrintWriter
    FileWriter fileOut = new FileWriter(nomeFileOutput);
    PrintWriter out = new PrintWriter(fileOut);
    // Comincio un ciclo di lettura/scrittura
    String line = in.readLine();
    while ( line != null ) {
      out.println(line);
      line = in.readLine();
    }
    // Chiudo i file
    in.close();
    out.close();
    System.exit(0);
  }
}
